## xf86-video-armsoc-endlessm 1.4.1

=== debian/changelog ===
xf86-video-armsoc-endlessm (1.4.1-0ubuntu6~20.04) focal; urgency=medium

  * Backport package from impish (LP: #1932044)
    * Clean-up debian/{copyright,patches/*,control,README.source}

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Wed, 26 May 2021 15:41:26 +0200

xf86-video-armsoc-endlessm (1.4.1-0ubuntu5) impish; urgency=medium

  * Rebuild for impish

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Wed, 26 May 2021 09:39:50 +0200

xf86-video-armsoc-endlessm (1.4.1-0ubuntu4) hirsute; urgency=medium

  * Rebuild now with updates xorg-server fixing cursor bleed

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Tue, 20 Apr 2021 14:24:36 +0200

xf86-video-armsoc-endlessm (1.4.1-0ubuntu3) hirsute; urgency=medium

  * Rebuild for hirsute

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Tue, 20 Apr 2021 13:59:51 +0200

xf86-video-armsoc-endlessm (1.4.1-0ubuntu2) focal; urgency=medium

  * Re-apply patch to implement platformProbe, which allows running Xorg
    as a normal user (LP: #1921153).

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Thu, 08 Apr 2021 13:18:41 +0200

xf86-video-armsoc-endlessm (1.4.1-0ubuntu1) focal; urgency=medium

  * Rename package to xf86-video-armsoc-endlessm, to avoid conflicts
    with the original armsoc driver.

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Thu, 18 Mar 2021 16:47:53 +0100

xf86-video-armsoc (1.4.1-0ubuntu2xilinx9) focal; urgency=medium

  * Fix crash if there is no display connected

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Wed, 10 Feb 2021 18:25:30 +0100

xf86-video-armsoc (1.4.1-0ubuntu2xilinx8) focal; urgency=medium

  * Apply again the "Bypass the exa layer to free the root pixmap" patch,
    as otherwise crashes were happening (LP: #1915098).

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Tue, 09 Feb 2021 15:22:48 +0100

xf86-video-armsoc (1.4.1-0ubuntu2xilinx7) focal; urgency=medium

  * Remove exynos.conf

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Fri, 22 Jan 2021 15:37:22 +0800

xf86-video-armsoc (1.4.1-0ubuntu2xilinx6) focal; urgency=medium

  * Rebase to endlessm armsoc
  * Rebase Xilinx armsoc patches on top of the endless base
    - Add the dumb gem support for Xilinx
    - Call miDCSetCursor2 when swapping the display window

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Wed, 13 Jan 2021 16:08:35 +0800

xf86-video-armsoc (1.4.1-0ubuntu2xilinx5) focal; urgency=medium

  * Call miDCSetCursor2 when swapping the display to fix block artifacts

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Mon, 28 Sep 2020 09:52:26 +0200

xf86-video-armsoc (1.4.1-0ubuntu2xilinx4) focal; urgency=medium

  * Add 0001-armsoc_driver.c-Bypass-the-exa-layer-to-free-the-roo.patch
    from https://github.com/Xilinx/meta-xilinx/blob/rel-v2020.1/.
  * Implement platformProbe so we avoid drm device access denied errors
    (see https://gitlab.freedesktop.org/xorg/xserver/-/issues/466)

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Fri, 25 Sep 2020 14:54:20 +0200

xf86-video-armsoc (1.4.1-0ubuntu2xilinx3) focal; urgency=medium

  * Fix empty package; properly install driver and man page.
  * Bump debhelper compat to 12; add debhelper-compat bdep; will default to
    list-missing for uninstalled files.
  * Fix transition dependencies.
  * Use dh_install --fail-missing and list .la file as not installed.
  * Build in a build/ subdirectory.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sat, 05 Sep 2020 12:41:07 +0000

xf86-video-armsoc (1.4.1-0ubuntu2xilinx2) focal; urgency=medium

  * Target at focal.
  * Merge all build flavor into a single package since there is no
    difference between them anyway.
  * Drop -dbg packages; this source isn't in Debian and Ubuntu uses -dbgsym
    ddeb packages.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sun, 07 Jun 2020 16:40:58 +0200

xf86-video-armsoc (1.4.1-0ubuntu2xilinx1) bionic; urgency=medium

  * Add support for Xilinx DRM backend.
    - Add 0001-src-drmmode_xilinx-Add-the-dumb-gem-support-for-Xili to
      to patches from https://github.com/Xilinx/meta-xilinx/.
    - control, rules: add a xilinx package and build; albeit it seems there
      is no build time differences between the builds. Build xilinx backend
      on arm64, armel and armhf.

 -- Loïc Minier <loic.minier@ubuntu.com>  Tue, 19 May 2020 17:24:29 +0200

xf86-video-armsoc (1.4.1-0ubuntu2) cosmic; urgency=medium

  * Rebuild against new xserver.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 19 Aug 2018 22:22:52 +0200

xf86-video-armsoc (1.4.1-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 04 Apr 2017 00:00:30 +0300

xf86-video-armsoc (1.4.0-0ubuntu2) xenial; urgency=medium

  * Rebuild against the new xserver.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 03 Mar 2016 13:17:50 +0200

xf86-video-armsoc (1.4.0-0ubuntu1) xenial; urgency=medium

  * New upstream release.
  * fix-mali-t604.patch dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 09 Feb 2016 11:56:56 +0200

xf86-video-armsoc (0.6.0-0ubuntu4build1) vivid; urgency=medium

  * Rebuild to pick up new Xserver dependencies

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Thu, 12 Mar 2015 07:59:09 +0000

xf86-video-armsoc (0.6.0-0ubuntu4) utopic; urgency=medium

  * Rebuild for xorg 1.16 abi.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Wed, 10 Sep 2014 16:41:49 +0200

xf86-video-armsoc (0.6.0-0ubuntu3) trusty; urgency=medium

  * Rebuild for xorg 1.15 abi.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Wed, 05 Feb 2014 09:29:09 +0000

xf86-video-armsoc (0.6.0-0ubuntu2) trusty; urgency=low


