=== debian/control ===
Source: xf86-video-armsoc-endlessm
Section: x11
Priority: optional
XSBC-Original-Maintainer: Marcin Juszkiewicz <marcin@juszkiewicz.com.pl>
Maintainer: Ubuntu Developers <ubuntu-devel@lists.ubuntu.com>
Build-Depends: debhelper (>= 8),
               debhelper-compat (= 12),
               quilt,
               dh-autoreconf,
               libdrm-dev (>= 2.4.33-3),
               libudev-dev,
               libxext-dev,
               pkg-config,
               x11proto-core-dev,
               x11proto-fonts-dev,
               x11proto-gl-dev,
               x11proto-xf86dri-dev,
               xutils-dev,
               xserver-xorg-dev (>= 2:1.16.99.901)
Standards-Version: 4.5.0

Package: xserver-xorg-video-armsoc-endlessm
Architecture: arm64
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${xviddriver:Depends}
Provides: ${xviddriver:Provides}
Breaks: xserver-xorg-video-armsoc
Replaces: xserver-xorg-video-armsoc
Description: X.Org X server -- ARM SoC display driver
 This driver for the X.Org X server (see xserver-xorg for a further
 description) provides support for Xilinx DRM drivers.
 .
 More information about X.Org can be found at:
  * <URL:http://www.X.org>
  * <URL:http://xorg.freedesktop.org>
  * <URL:http://lists.freedesktop.org/mailman/listinfo/xorg>
  * <URL:https://anongit.freedesktop.org/git/xorg/driver/xf86-video-armsoc.git/>
  * <URL:https://github.com/endlessm/xf86-video-armsoc>
