=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf,quilt,xsf --builddirectory=build/

# use appropriate warning level for a plugin
override_dh_shlibdeps:
	dh_shlibdeps -- --warnings=6

override_dh_missing:
	dh_missing --fail-missing

override_dh_install:
	rm -rf debian/tmp
	mv debian/xserver-xorg-video-armsoc-endlessm debian/tmp
	dh_install
